# class TkTextWin

### Constants

TkCommandNames

### Public Instance Methods

bbox(index) click to toggle source

def create_self

    fail RuntimeError, "TkTextWin is an abstract class"

end private :create_self

    # File lib/tk/txtwin_abst.rb, line 14
    def bbox(index)
      list(tk_send_without_enc('bbox', index))
    end

delete(first, last=None) click to toggle source

    # File lib/tk/txtwin_abst.rb, line 17
    def delete(first, last=None)
      tk_send_without_enc('delete', first, last)
      self
    end

get(*index) click to toggle source

    # File lib/tk/txtwin_abst.rb, line 21
    def get(*index)
      _fromUTF8(tk_send_without_enc('get', *index))
    end

insert(index, *args) click to toggle source

    # File lib/tk/txtwin_abst.rb, line 24
    def insert(index, *args)
      tk_send('insert', index, *args)
      self
    end

scan_dragto(x, y) click to toggle source

    # File lib/tk/txtwin_abst.rb, line 32
    def scan_dragto(x, y)
      tk_send_without_enc('scan', 'dragto', x, y)
      self
    end

scan_mark(x, y) click to toggle source

    # File lib/tk/txtwin_abst.rb, line 28
    def scan_mark(x, y)
      tk_send_without_enc('scan', 'mark', x, y)
      self
    end

see(index) click to toggle source

    # File lib/tk/txtwin_abst.rb, line 36
    def see(index)
      tk_send_without_enc('see', index)
      self
    end